/*
 * Copyright (C) 2020  Magnus Bergman <magnus@snisurset.net>
 *
 * This library is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, see <http:/www.gnu.org/licenses/>
 */
#include <stdio.h>

#include "ni-duo.h"

int ni_duo_write(const nil_atarist_vmem_t *vmem1, const nil_atarist_vmem_t *vmem2, FILE *f){
    fwrite(vmem1->palette, 2, 16, f);
    fwrite(vmem1->screen, 1, 56784, f);
    fwrite(vmem2->screen, 1, 56784, f);
    return 0;
}
