/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef nil_blur_h
#define nil_blur_h

#include "nile.h"

void nil_blur_gaussian_matrix(double *matrix, int size, double sigma);
void nil_blur_apply_matrix(nile_t*,double *matrix,int size);
void nil_blur_apply_matrix_indexed(nile_t*,double *matrix,int size);

void nil_blur_gaussian(nile_t*,double sigma);
void nil_blur_gaussian_indexed(nile_t*,double sigma);

#endif /* nil_blur_h */
