/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef nil_c64_h
#define nil_c64_h

#include "nile.h"

typedef enum{
    NIL_C64_COLODORE,
    NIL_C64_GODOT,
    NIL_C64_PEPTO
}nil_c64_palette_t;

typedef struct{
    uint8_t bitmap[8000];
    uint8_t screen[1000];
    uint8_t color[1000];
    uint8_t background;
}nil_c64_vram_t;

int nil_c64_set_palette(nile_t*,nil_c64_palette_t);
int nil_c64_vram_decode(nile_t*,const nil_c64_vram_t*);

#endif /* nil_c64_h */
