/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef nil_dither_h
#define nil_dither_h

#include "nile.h"

typedef enum{
    NIL_DITHER_NONE = 0,
    NIL_DITHER_ORD4,
    NIL_DITHER_ORD8,
    NIL_DITHER_FS,
    NIL_DITHER_JJN,
    NIL_DITHER_STUCKI
}nil_dither_type_t;

int nil_dither_none(nile_t *);
int nil_dither_ordered4x4(nile_t *, int xoffs, int yoffs, int channel_depth);
int nil_dither_ordered8x8(nile_t *, int xoffs, int yoffs ,int channel_depth);

void nil_dither_floyd_steinberg(nile_t *);
void nil_dither_jarvis_judice_ninke(nile_t *);
void nil_dither_stucki(nile_t *);

#endif /* nil_dither_h */
