/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef nil_atarist_h
#define nil_atarist_h

#include "nile.h"

typedef struct{
    uint8_t resolution[2];
    uint8_t screen[56784];
    uint8_t palette[32];
}nil_atarist_vmem_t;

#define nil_atarist_set_resolution(vmem,r) {(vmem)->resolution[0]=0;(vmem)->resolution[1]=(r);}
int nil_atarist_vmem_encode(const nile_t*, nil_atarist_vmem_t*);

#endif /* nil_atarist_h */
