/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef nil_spectrum_h
#define nil_spectrum_h

#include "nile.h"

typedef struct{
    uint8_t bitmap[6144];
    uint8_t attributes[6144];
}nil_spectrum_vram_t;

#define nil_spectrum_translate_y(y) (((y)&192)|((y)&7)<<3|((y)&56)>>3)

#endif /* nil_spectrum_h */
